Atom feed of this document
 

 Show Network Details

Verb URI Description
GET /tenants/tenant-id/networks/network-id/detail Lists detailed information for a specific network, identified by network-id, for a given tenant, identified by tenant-id.

Normal Response Code(s): 200

Error Response Code(s): Unauthorized (401), Forbidden (403), NetworkNotFound (420)

This operation returns detailed information concerning the network specified in the request URI. Returned data include the full list of ports configured for the network and attachments plugged into such ports.

If no attachment is plugged into a port, the response will not include an attachment child element for that port.

This operation does not require a request body.

 

Example 4.7. Show Network Details Request/Response (XML)

Request:

GET /tenants/XYZ/networks/8bec1293-16bd-4568-ba75-1f58bec0b4c3/detail.xml                

Response:

   <network
           id="8bec1293-16bd-4568-ba75-1f58bec0b4c3"
           name="test_network">
        <ports>
            <port 
				id="98017ddc-efc8-4c25-a915-774b2a633855"
				status="DOWN"/>
            <port 
				id="b832be00-6553-4f69-af33-acd554e36d08" 
				status="ACTIVE">
                <attachment id="test_interface_identifier"/>
            </port>
        </ports>
    </network>

                    

 

Example 4.8. Show Network Details Request/Response (JSON)

Request:

GET /tenants/XYZ/networks/8bec1293-16bd-4568-ba75-1f58bec0b4c3/detail.json	                

Response:

{
   "network":
       {
           "id": "8bec1293-16bd-4568-ba75-1f58bec0b4c3",
           "name": "test_network"
           "ports":
               [
                {
                    "id": "98017ddc-efc8-4c25-a915-774b2a633855",
                    "state": "DOWN"
                },
                {
                    "id": b832be00-6553-4f69-af33-acd554e36d08",
                    "state": "ACTIVE",
                    "attachment":
                        {
                            "id": "test_interface_identifier"
                        }
                }
               ]
       }
}